Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	OpenSource Realtime Editing and Effects System
Name:		jahshaka
Version:	2.0.0
Release:	1
Group:		Video
License:	GNU/GPL
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		jahshaka-openlibraries-path-fix.patch	
URL:		http://www.jahshaka.org/
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:  mesa-libGL-devel
BuildRequires:  glew-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  libjpeg-devel
BuildRequires:  mlt-devel
BuildRequires:  mlt++-devel
BuildRequires:  openal-devel
BuildRequires:  openlibraries-devel
BuildRequires:  qt-devel
BuildRequires:  sqlite-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
The worlds first OpenSource Realtime Editing and Effects System. Jahshaka
takes advantage of the power of OpenGL and OpenML to give its users
exceptional levels of performance.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--disable-debug
make


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/jahshaka.desktop
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/{16x16,32x32,48x48}/apps/
for i in 16 32 48; do
    convert -size ${i}x$i %{SOURCE2} -resize ${i}x$i %{buildroot}/%{_datadir}/icons/hicolor/${i}x$i/apps/%{name}.png
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir/jahshaka
%_datadir/applications
%_datadir/icons

%changelog
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Initial Release
